#ifndef _KGR_PATCH_BSC1014271_H
#define _KGR_PATCH_BSC1014271_H

int kgr_patch_bsc1014271_init(void);
static inline void kgr_patch_bsc1014271_cleanup(void) {}

ssize_t kgr_default_file_splice_read(struct file *in, loff_t *ppos,
	struct pipe_inode_info *pipe, size_t len, unsigned int flags);
ssize_t kgr_default_file_splice_write(struct pipe_inode_info *pipe,
	struct file *out, loff_t *ppos, size_t len, unsigned int flags);

#define KGR_PATCH_BSC1014271_FUNCS						\
	KGR_PATCH(default_file_splice_read, kgr_default_file_splice_read),	\
	KGR_PATCH(default_file_splice_write, kgr_default_file_splice_write),

#endif
